# Function cif::get_category_fields

- Defined in File condition.hpp

## Function Documentation

iset cif::get_category_fields(const category &cat)

  Get the items that can be used as key in conditions for a category.

  let’s make life easier, since cif::category is not known yet, we declare a function to access its contents

  Parameters:

    cat – The category whose items to return

  Returns:

    iset The set of key item names